#include <aos/deferred.h>
#include <test_threads.h>
#include <test_helper.h>
#include <spawn/spawn.h>
#include <time.h>

#define PROCESS_COUNT 1

void do_test_threads(void) {
    debug_printf("[do_test_threads]\n");

    struct spawninfo *si = malloc(PROCESS_COUNT * sizeof(struct spawninfo));
    domainid_t *pid = malloc(PROCESS_COUNT * sizeof(domainid_t));

    for(uint i = 0; i < PROCESS_COUNT; ++i) {
        debug_printf("TEST_THREADS: spawn %u\n", i);
        CHECK_ERR(spawn_load_by_name("mallocator", &(si[i]), &(pid[i])));
    }
}
